rkt - App Container runtime(1)

NAME

rkt-api-service - Run API service (experimental)

SYNOPSIS

rkt api-service [--listen="localhost:15441"] [flags]

DESCRIPTION

The API service listens for gRPC requests on the address and port specified by the --listen option, by default localhost:15441

Specify the address 0.0.0.0 to listen on all interfaces.

It will also run correctly as a systemd socket-activated service, see systemd.socket(5).

OPTIONS

-h, --help[=false]
    help for api-service

--listen=""
    address to listen for client API requests

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    print out more debug information to stderr

--dir=/var/lib/rkt
    rkt data directory

--insecure-options=none
    comma-separated list of security features to disable. Allowed values: "none", "image", "tls", "ondisk", "http", "pubkey", "capabilities", "paths", "seccomp", "all-fetch", "all-run", "all"

--local-config=/etc/rkt
    local configuration directory

--system-config=/usr/lib/rkt
    system configuration directory

--trust-keys-from-https[=false]
    automatically trust gpg keys fetched from https

--user-config=
    user configuration directory

SEE ALSO

rkt(1)

HISTORY

30-Jan-2018 Auto generated by spf13/cobra